MakeBlock Drive Updated Updated library for MakeBlock Ranger

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MeHostParser Class Reference

Driver for Me Host Parser module. More...

`#include <src/MeHostParser.h>`

## Public Member Functions
| MeHostParser ()
| ~MeHostParser ()
uint8_t | pushStr (uint8_t *str, uint32_t length)
uint8_t | pushByte (uint8_t ch)
uint8_t | run ()
uint8_t | getPackageReady ()
uint8_t | getData (uint8_t *buf, uint32_t size)
void | print (char *str, uint32_t *cnt)

## Detailed Description

Driver for Me Host Parser module.

Class: MeHostParser

Description
  Declaration of Class MeHostParser.

Copyright (C), 2012-2016, MakeBlock

## Constructor & Destructor Documentation

## ◆ MeHostParser()

MeHostParser::MeHostParser | ( |  | ) |

Alternate Constructor which can call your own function to map the Host Parser to arduino port, no pins are used or initialized here.

Parameters

  [in] | None |

## ◆ ~MeHostParser()

MeHostParser::~MeHostParser | ( |  | ) |

Alternate Destructor which can call the system's destructor to free space, no pins are used or initialized here.

Parameters

  [in] | None |

## Member Function Documentation

## ◆ getData()

uint8_t MeHostParser::getData | ( | uint8_t * | buf,
|  | uint32_t | size
| ) |  |

Function
  getData

Description
  Copy data to user's buffer.

Parameters

  [in] | buf | - A buffer for a getting data.
  [in] | size | - The length of getting data.

Output
  None

Return
  Return the length of getting data or 0.

Others
  None

## ◆ getPackageReady()

uint8_t MeHostParser::getPackageReady | ( |  | ) |

Function
  getPackageReady

Description
  Get the package ready state.

Parameters

  [in] | None |

Output
  None

Return
  Return the status ready or not.

Others
  None

## ◆ pushByte()

uint8_t MeHostParser::pushByte | ( | uint8_t | ch | ) |

Function
  pushByte

Description
  To push a byte to Host Parser.

Parameters

  [in] | ch | - A pointer to a char.

Output
  None

Return
  Return the status of pushing char.

Others
  None

## ◆ pushStr()

uint8_t MeHostParser::pushStr | ( | uint8_t * | str,
|  | uint32_t | length
| ) |  |

Function
  pushStr

Description
  To push a string to Host Parser.

Parameters

  [in] | str | - A pointer to a string.
  [in] | length | - The length of the string.

Output
  None

Return
  Return the index of pushing string.

Others
  None

## ◆ run()

uint8_t MeHostParser::run | ( | void |  | ) |

Function
  run

Description
  The running status of Host Parser.

Parameters

  [in] | None |

Output
  None

Return
  Return the status of Host Parser's running.

Others
  None

The documentation for this class was generated from the following files:

- src/MeHostParser.h
- src/MeHostParser.cpp